#### All scripts can be found [here](../scripts)

- the python scripts were run using version `3.8.1`
- the R script was run using version `3.6.3`


### 1
For more information on this step, visit [Perceval](https://github.com/chaoss/grimoirelab-perceval).
An example of such a command is
```bash
perceval github --category issue ardupilot ardupilot -t <token>
```

### 2
Run the python script to generate a CSV for a single repository:
```bash
python JSONtoCSV.py input_file.json output_file.csv "labels,to,consider"
```
For example
```bash
python JSONtoCSV.py ../issues/drone/QGroundControl/QGroundControl.json ../issues/drone/QGroundControl/QGroundControl.csv "bug,crash"
```

### 3
Alternatively, a bash script runs the previous script on each repository:
```bash
bash runJSONtoCSV.sh
```

### 4
```bash
Rscript generateAllSamples.r
```

### 5
Generate the final CSV:
```bash
python generateListOfAllSamples.py
```
