library(sampler)

allfiles <- list.files(path="../issues", pattern="*.csv", recursive=TRUE)
notwant <- list.files(path="../issues", pattern="*_sample.csv|all_sampled_issues.csv", recursive=TRUE)
relevant <- setdiff(allfiles, notwant)
for (file in relevant) {
	infile <- gsub(" ", "", paste("../issues/", file))
	readfile <- read.csv(infile)
	size <- rsampcalc(nrow(readfile), 5)
	res <- ssamp(readfile, size, label)
	outfile <- gsub(".csv", "_sample.csv", infile)
	write.table(res[, c(2,1)], file=outfile, quote=FALSE, sep=",", row.names=FALSE)
	print(paste("Wrote a sample of size", size, "to", outfile))
}
