#!/bin/bash
script="JSONtoCSV.py"

for infile in `find .. -name "*.json" -type f`
do
	echo "-----------------"
	echo "Processing $infile"
	outfile=${infile/\.json/\.csv}
	if [[ $infile == "../issues/automotive/OpenPilot/Openpilot.json" ]]
	then
		python $script $infile $outfile "bug,car bug"
	elif [[ $infile == "../issues/drone/QGroundControl/QGroundControl.json" ]]
	then
		python $script $infile $outfile "bug,crash"
	elif [[ $infile == "../issues/noDomain/Arduino-IRremote/Arduino-IRremote.json" ]]
	then
		python $script $infile $outfile "bug,handling problem"
	elif [[ $infile == "../issues/noDomain/Arduino/Arduino.json" ]]
	then
		python $script $infile $outfile "type: bug"
	else
		python $script $infile $outfile "bug"
	fi
done
