#Dataset Package for the paper "An Empirical Characterization of Software Bugs in Open-Source Cyber-Physical Systems"


Description of the content:


2) "1_Issues-Data" folder contains all the main data concerning the issues collected from the 15 Projects considered in the study. 
   	
   	- We report the issue data from the 15 projects organized with sub-folders for each Domain (containing the project issue relevant data):
		- Robotics
		- Machinery
		- Drones
		- Automotive
		- Arduino

2) "2_RQ-CPS-bugs-Taxonomy" folder contains all the main experimental data concerning the issues sampled and analyzed from the 15 Projects considered in the study,
    including row-data on the taxonomy validtion steps.
    
        - Under "the sub-folder "1_ Sampled-Issues":
            - We report the sampled issues from the 15 projects organized with sub-folders for each Domain (containing the project issue relevant data):
				- Robotics
				- Machinery
				- Drones
				- Automotive
				- Arduino
        - Under "the sub-folder "2_Taxonomy-Raw-data" are reported the row-data concerning the taxonomy validtion steps 

3) "3_Scripts" contains all scripts used to generate the issue data and sampled issue raw-data in the previous folders: 


	- "setup.md" file in the folder describes how to set=up and run the script used for collecting and sampling the issues for the validation steps:
	
				- runJSONtoCSV.sh
				- JSONtoCSV.py
				- generateListOfAllSamples.py
				- generateAllSamples.r
    
    Under "the sub-folder "1_Scripts/1_Data_Collection":
    
       
4) "4_Final Taxonomy" folder contains the final Table representation (also reported in the previous folder) and main figures of the CPSs Bugs Taxonomy.
